<div class="container  py-5" *ngIf="property">
  <h1 class="display-4 mb-0">{{ property.title }}</h1>
  <hr class="bg-dark mb-4 mt-2" />
  <div class="row">
    <div class="col-md-6">
      <div *ngIf="property.photos.length === 1">
        <div *ngFor="let photo of property.photos; let first = first">
          <img [src]="photo" *ngIf="first" class="w-100" />
        </div>
      </div>
      <div *ngIf="property.photos.length > 1">
        <div
          id="carouselExampleControls"
          class="carousel slide bg-dark"
          data-ride="carousel"
        >
          <div class="carousel-inner">
            <div
              class="carousel-item "
              *ngFor="let photo of property.photos; let first = first"
              [ngClass]="{ active: first }"
            >
              <img [src]="photo" class="d-block w-100" alt="..." />
            </div>
          </div>
          <a
            class="carousel-control-prev"
            href="#carouselExampleControls"
            role="button"
            data-slide="prev"
          >
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
          <a
            class="carousel-control-next"
            href="#carouselExampleControls"
            role="button"
            data-slide="next"
          >
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <h3 class="font-weight-normal">{{ property.price }}€</h3>
      <p class="font-weight-light">
        {{ property.category }}
        <span *ngIf="property.surface && property.surface !== ''"
          >de {{ property.surface }} m2,</span
        ><span *ngIf="property.rooms && property.rooms !== ''"
          >{{ property.rooms }} piece(s).</span
        >
      </p>
      <p class="font-weight-light">
        {{ property.description }}
      </p>
      <h3 class="font-weight-normal text-danger" *ngIf="property.sold">
        Vendu !
      </h3>
      <h3 class="font-weight-normal text-success" *ngIf="!property.sold">
        A vendre !
      </h3>
    </div>
  </div>
</div>
